# Uses of Interface
org.apache.sling.resourceresolver.impl.mapping.MapConfigurationProvider

Packages that use MapConfigurationProvider
Package
Description
org.apache.sling.resourceresolver.impl.mapping

## Uses of MapConfigurationProvider in org.apache.sling.resourceresolver.impl.mapping

Constructors in org.apache.sling.resourceresolver.impl.mapping with parameters of type MapConfigurationProvider
Modifier
Constructor
Description
``
`MapEntries(MapConfigurationProvider factory, org.osgi.framework.BundleContext bundleContext, org.osgi.service.event.EventAdmin eventAdmin, StringInterpolationProvider stringInterpolationProvider, Optional<org.apache.sling.resourceresolver.impl.ResourceResolverMetrics> metrics)`
``
`VanityPathHandler(MapConfigurationProvider factory, Map<String,List<MapEntry>> resolveMapsMap, ReentrantLock initializing, Consumer<String> drain)`